import request from '@/utils/request'

// 分页查询任务模板列表
export function pageListTemplate(query) {
  return request({
    url: '/task/template/pageList',
    method: 'get',
    params: query
  })
}

// 查询任务模板列表
export function listTemplate(query) {
  return request({
    url: '/task/template/list',
    method: 'get',
    params: query
  })
}

// 查询任务模板详细
export function getTemplate(id) {
  return request({
    url: '/task/template/' + id,
    method: 'get'
  })
}

// 删除任务模板相关标签
export function removeTag(data) {
  return request({
    url: '/task/template/removeTag',
    method: 'post',
    data: data
  })
}

// 新增任务模板相关标签
export function addTag(data) {
  return request({
    url: '/task/template/addTag',
    method: 'post',
    data: data
  })
}

// 新增任务模板
export function addTemplate(data) {
  return request({
    url: '/task/template',
    method: 'post',
    data: data
  })
}

// 修改任务模板
export function updateTemplate(data) {
  return request({
    url: '/task/template',
    method: 'put',
    data: data
  })
}

// 删除任务模板
export function delTemplate(id) {
  return request({
    url: '/task/template/' + id,
    method: 'delete'
  })
}

// 导出任务模板
export function exportTemplate(query) {
  return request({
    url: '/task/template/' + 'export',
    method: 'post',
    params: query
  })
}
